[med-svn] r11162 - trunk/packages/quazip/trunk/debian
Andreas Tille
tille at alioth.debian.org
Fri Jun 1 16:19:21 UTC 2012
Author: tille
Date: 2012-06-01 16:19:21 +0000 (Fri, 01 Jun 2012)
New Revision: 11162
Added:
trunk/packages/quazip/trunk/debian/d-devlibdeps
trunk/packages/quazip/trunk/debian/d-shlibmove
trunk/packages/quazip/trunk/debian/libquazip-doc.doc
Modified:
trunk/packages/quazip/trunk/debian/control
trunk/packages/quazip/trunk/debian/rules
Log:
THIS DOES NOT YET BUILD SOMETHING USEFUL!
Ported packaging to d-shlibs but NOT FINISHED
The following things are broken:
- Build-Depends
- Install target dir needs fixing in qmake (any help?? - installs to debian/tmp/$(CURDIR) )
- libquazip.so ends up in library and devel package (no idea why, needs checking)
Modified: trunk/packages/quazip/trunk/debian/control
===================================================================
--- trunk/packages/quazip/trunk/debian/control 2012-06-01 15:07:23 UTC (rev 11161)
+++ trunk/packages/quazip/trunk/debian/control 2012-06-01 16:19:21 UTC (rev 11162)
@@ -12,10 +12,11 @@
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/quazip/trunk/
Package: libquazip0
+Section: libs
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4 (>= 4.7.0), zlib1g
-Conflicts: libquazip0
-Description: QuaZIP is a simple C++ ZIP/UNZIP wrapper.
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libquazip-doc
+Description: C++ wrapper wrapper for zlib
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
.
@@ -28,10 +29,11 @@
Package: libquazip0-dev
Section: libdevel
+Provides: libquazip-dev
+Conflicts: libquazip-dev
Architecture: any
-Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libquazip0-dev
-Description: QuaZIP is a simple C++ ZIP/UNZIP wrapper.
+Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: C++ wrapper wrapper for zlib (development files)
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
.
@@ -41,4 +43,23 @@
.
QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.
+ .
+ This package contains the development files.
+Package: libquazip-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: C++ wrapper wrapper for zlib (documentation)
+ QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
+ can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
+ .
+ QuaZIP allows you to access files inside ZIP archives using QIODevice API,
+ and that means that you can also use QTextStream, QDataStream or
+ whatever you would like to use on your zipped files.
+ .
+ QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
+ from and writing to ZIP archives.
+ .
+ This package contains the API documentation in HTML.
+
Added: trunk/packages/quazip/trunk/debian/d-devlibdeps
===================================================================
--- trunk/packages/quazip/trunk/debian/d-devlibdeps (rev 0)
+++ trunk/packages/quazip/trunk/debian/d-devlibdeps 2012-06-01 16:19:21 UTC (rev 11162)
@@ -0,0 +1,227 @@
+#!/bin/bash
+# d-devlibdeps -- get list of build-time dependencies
+# Copyright (C) 2002-2005 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+# 2002 May 3. Created.
+# automatic depends line generator.
+
+set -e
+set -o pipefail
+
+function getname () {
+ local SONAMELIBNAME
+ local SONAMEVERSION
+ local SONAME
+ SONAME="$1"
+ SONAMELIBNAME=$(echo $SONAME | sed 's/\.so\..*$//')
+ SONAMEVERSION=$(echo $SONAME | sed 's/^.*\.so\.//')
+ case "$SONAMELIBNAME" in
+ *[0-9])
+ RETURN="$SONAMELIBNAME-$SONAMEVERSION"
+ ;;
+ *)
+ RETURN="$SONAMELIBNAME$SONAMEVERSION"
+ ;;
+ esac
+}
+
+function overridedevlibdeps () {
+ # overrides necessary until the scheme is adopted.
+ sed \
+ "${OVERRIDE[@]/#/-e}" \
+ -e 's/ld1-dev//' \
+ -e 's/ld-linux.*[23]-dev//' \
+ -e 's/libatk-1\.0-0-dev/libatk1.0-dev/' \
+ -e 's/libavahi-client.-dev/libavahi-client-dev/' \
+ -e 's/libavahi-common.-dev/libavahi-common-dev/' \
+ -e 's/libavahi-glib.-dev/libavahi-glib-dev/' \
+ -e 's/libav\([a-z]\+\)[0-9]\+-dev/libav\1-dev/' \
+ -e 's/libc6-dev//' \
+ -e 's/libcelt0-0-dev/libcelt-dev/' \
+ -e 's/libcomerr2//' \
+ -e 's/libcom_err2-dev/comerr-dev/' \
+ -e 's/libcrack2-dev/cracklib2-dev/' \
+ -e 's/libcrypt1\.1-dev//' \
+ -e 's/libcrypt1-dev//' \
+ -e 's/libcrypto.*-dev/libssl-dev/' \
+ -e 's/libdbus-1-3-dev/libdbus-1-dev/' \
+ -e 's/libdl2\.1-dev//' \
+ -e 's/libdl2-dev//' \
+ -e 's/libffado2-dev/libffado-dev/' \
+ -e 's/libGL1-dev/xlibmesa-gl-dev/' \
+ -e 's/libGLU1-dev/xlibmesa-glu-dev/' \
+ -e 's/libgcc_s.*-dev//' \
+ -e 's/libgd2-dev/libgd-dev/' \
+ -e 's/libgdk-1\.2-0-dev/libgtk1.2-dev/' \
+ -e 's/libgdk_pixbuf-2\.0-0-dev/libgtk2.0-dev/' \
+ -e 's/libgdk-x11-2\.0-0-dev/libgtk2.0-dev/' \
+ -e 's/libgio-2\.0-0-dev/libglib2.0-dev/' \
+ -e 's/libglib-1\.2-0-dev/libglib1.2-dev/' \
+ -e 's/libglib-2\.0-0-dev/libglib2.0-dev/' \
+ -e 's/libgmodule-1\.2-0-dev/libglib1.2-dev/' \
+ -e 's/libgmodule-2\.0-0-dev/libglib2.0-dev/' \
+ -e 's/libgnutls26/libgnutls/' \
+ -e 's/libgobject-2\.0-0-dev/libglib2.0-dev/' \
+ -e 's/libgssapi_krb5-2-dev/libkrb5-dev/' \
+ -e 's/libgthread-1\.2-0-dev/libglib1.2-dev/' \
+ -e 's/libgthread-2\.0-0-dev/libglib2.0-dev/' \
+ -e 's/libgtk-1\.2-0-dev/libgtk1.2-dev/' \
+ -e 's/libgtk-x11-2\.0-0-dev/libgtk2.0-dev/' \
+ -e 's/libICE6-dev/libice-dev/' \
+ -e 's/libicu\(i18n48\|uc48\)-dev/libicu-dev/' \
+ -e 's/libijs.*-dev/libijs-dev/' \
+ -e 's/libjackserver0-dev//' \
+ -e 's/libjasper1/libjasper/' \
+ -e 's/libjpeg[0-9.]\+-dev/libjpeg-dev/' \
+ -e 's/libk5crypto3-dev/libkrb5-dev/' \
+ -e 's/libkrb1-dev/kerberos4kth-dev/' \
+ -e 's/libkrb5-3-dev/libkrb5-dev/' \
+ -e 's/liblcms2-2-dev/liblcms2-dev/' \
+ -e 's/libm1-dev//' \
+ -e 's/libm6\.1-dev//' \
+ -e 's/libm6-dev//' \
+ -e 's/libnsl1\.1-dev//' \
+ -e 's/libnsl1-dev//' \
+ -e 's/libogg0-dev/libogg-dev/' \
+ -e 's/libpam0-dev/libpam0g-dev/' \
+ -e 's/libpango-1\.0-0-dev/libpango1.0-dev/' \
+ -e 's/libpangocairo-1\.0-0-dev/libpango1.0-dev/' \
+ -e 's/libpangoft2-1\.0-0-dev/libpango1.0-dev/' \
+ -e 's/libpangox-1\.0-0-dev/libpango1.0-dev/' \
+ -e 's/libpangoxft-1\.0-0-dev/libpango1.0-dev/' \
+ -e 's/libpaper1/libpaper/' \
+ -e 's/libparted-1\.6-0-dev/libparted1.6-dev/' \
+ -e 's/libpthread0\.3-dev//' \
+ -e 's/libpthread0-dev//' \
+ -e 's/libpthread-stubs0-dev//' \
+ -e 's/libpthread.*-dev/libpthread-dev/' \
+ -e 's/libraw1394-8-dev/libraw1394-dev/' \
+ -e 's/libresolv2-dev//' \
+ -e 's/librt1-dev//' \
+ -e 's/libSDL-1\.2-0-dev/libsdl1.2-dev/' \
+ -e 's/libSM6-dev/libsm-dev/' \
+ -e 's/libspeex1-dev/libspeex-dev/' \
+ -e 's/libssl.*-dev/libssl-dev/' \
+ -e 's/libstdc++6.*-dev//' \
+ -e 's/libtheora0-dev/libtheora-dev/' \
+ -e 's/libtinfo5-dev/libtinfo-dev/' \
+ -e 's/libucommon5-dev/libucommon-dev/' \
+ -e 's/libusecure5-dev/libucommon-dev/' \
+ -e 's/libuuid1-dev/uuid-dev/' \
+ -e 's/libv8-[0-9.]*-dev/libv8-dev/' \
+ -e 's/libvorbis0-dev/libvorbis-dev/' \
+ -e 's/libvorbisenc2-dev/libvorbis-dev/' \
+ -e 's/libX11-6-dev/libx11-dev/' \
+ -e 's/libX\([a-z]\+\)[0-9]-dev/libx\1-dev/' \
+ -e 's/libxml2-2-dev/libxml2-dev/' \
+ -e 's/libz1-dev/zlib1g-dev/' \
+ -e 's/libQtCore4-dev/libqt4-dev/' \
+ "${OVERRIDE[@]/#/-e}" \
+
+
+# the blank line above this line is intentionally left blank
+}
+
+
+function validate_package () {
+# validate if package foo exists, this relies on apt.
+ if [ -z "$1" ]; then
+ # ignore empty.
+ return;
+ fi
+ if grep "^Package: $1\$" debian/control > /dev/null 2> /dev/null ; then
+ # ignore package that is going to be created.
+ echo " --> $1 package from same source package." >&2
+ return
+ fi
+ case $(echo $(apt-cache --no-generate show $1 2> /dev/null| wc -l ) ) in
+ 0)
+ case $(echo $(apt-cache --no-generate showpkg $1 2> /dev/null | awk ' /^Reverse Provides: $/,/^$/ {if ($0 !~ /:/) {print $0}}' | wc -l) ) in
+ 0)
+ echo "devlibs error: There is no package matching [$1] and noone provides it, please report bug to d-shlibs maintainer" >&2
+ return 1;;
+ *) echo " --> $1 is provided by a package." >&2 ;;
+ esac;;
+ *) echo " --> $1 package exists." >&2 ;;
+ esac
+ return 0;
+}
+
+while true; do
+ case $1 in
+ --override=*)
+ OVERRIDE[${#OVERRIDE[@]}]="${1/--override=/}"
+ shift;
+ ;;
+ --override)
+ OVERRIDE[${#OVERRIDE[@]}]="$2"
+ shift; shift;
+ ;;
+ --*)
+ #error
+ ;;
+ --|*)
+ break;
+ ;;
+ esac
+done
+
+if [ -z "$2" ]; then
+ echo "$0: Please read manpage for help, not enough options given"
+ exit 1
+fi
+
+OUTPUTFILE="$1"
+shift;
+
+DEPENDS=""
+for A in $*; do
+ # let shell do the delimiting of objdump output./
+ DEPENDS="$DEPENDS $(set -o pipefail; objdump -p ${A} |sed -n 's/^.*NEEDED *//p')"
+done
+
+outputtmp=$(tempfile)
+(
+ set -e
+ if [ -f "$OUTPUTFILE" ] ; then
+ if grep -v "^devlibs:Depends=" "$OUTPUTFILE"; then
+ :
+ fi
+ fi
+ printf "devlibs:Depends="
+ for A in $DEPENDS; do #DEPENDS is a space-delimited thing.
+ getname "$A"
+ echo $RETURN-dev | overridedevlibdeps
+ done | \
+ sort | \
+ uniq | \
+ while read B; do
+ # abuse that only first part of multi-entry overrides is considered
+ if validate_package $B ; then
+ printf "%s " $B ;
+ else
+ echo "ERROR_DEVLIB "
+ fi
+ done | sed -e 's/\([a-z0-9)]\) \+\([a-z]\)/\1, \2/g' -e 's/ \+/ /g' -e 's/^ //' -e 's/ $//'
+ printf "\n"
+) > "${outputtmp}"
+
+if grep "ERROR_DEVLIB" "$outputtmp" > /dev/null; then
+ exit 1
+fi
+
+mv "${outputtmp}" $OUTPUTFILE
Property changes on: trunk/packages/quazip/trunk/debian/d-devlibdeps
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/packages/quazip/trunk/debian/d-shlibmove
===================================================================
--- trunk/packages/quazip/trunk/debian/d-shlibmove (rev 0)
+++ trunk/packages/quazip/trunk/debian/d-shlibmove 2012-06-01 16:19:21 UTC (rev 11162)
@@ -0,0 +1,283 @@
+#!/bin/bash
+# d-shlibmove -- move shared library files around for Debian packaging
+# Copyright (C) 2002, 2005 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+# 2002 Apr 23. Created.
+# automatic packaging of libtool-created library packages.
+
+# from d-shlibs package
+
+set -e
+set -o pipefail
+
+function getname () {
+ local SONAMELIBNAME
+ local SONAMEVERSION
+ local SONAME
+ SONAME="$1"
+ SONAMELIBNAME=$(echo $SONAME | sed 's/\.so\..*$//')
+ SONAMEVERSION=$(echo $SONAME | sed 's/^.*\.so\.//')
+ case "$SONAMELIBNAME" in
+ *[0-9])
+ RETURN="$SONAMELIBNAME-$SONAMEVERSION"
+ ;;
+ *)
+ RETURN="$SONAMELIBNAME$SONAMEVERSION"
+ ;;
+ esac
+}
+
+function readlibnameinfo () {
+ LIBNAME="$1"
+
+ if [ -z "$1" ] || ! echo "$1" | grep ".so$" > /dev/null ; then
+ echo "$0: [$1] is not a valid shared library file name " >&2
+ exit 1;
+ fi
+
+ if [ ! -h "$1" ]; then
+ echo "$0: expected [$1] to be a symlink, but it is not" >&2
+ exit 1;
+ fi
+
+ SONAME=$(set -o pipefail; objdump -p ${LIBNAME} |sed -n 's/^.*SONAME *//p' )
+ getname "$SONAME"
+ SONAMEPKGNAME=$(echo "$RETURN" | tr '[A-Z]' '[a-z]')
+ PK=$(basename "$1" | sed 's/\.so$//')
+ PK_LOWER=$(echo ${PK} | tr '[A-Z]' '[a-z]')
+ REALSO=$(readlink -f "${LIBNAME}")
+}
+
+function check_line () {
+ # check line
+ local PKGNAME="$1"
+ local ENTRYLINE="$2"
+
+ if ! awk '/^Package:.*'"$PKGNAME"'/,/^$/{print}' "$CONTROL" | \
+ perl -0 -pe 's/\n[ \t]+/ /g' | \
+ grep "$ENTRYLINE" > /dev/null; then
+ echo "E: line [$ENTRYLINE] not found in $CONTROL section for $PKGNAME"
+ # set this error signifier to true
+ CHECK_ERROR=true
+ fi
+}
+
+
+echo "Library package automatic movement utility"
+
+CONTROL=debian/control
+
+execscript=$(tempfile)
+INSTALLFILE_SHLPKG=$(tempfile)
+INSTALLFILE_DEVPKG=$(tempfile)
+cat > ${execscript} <<EOF
+set -e
+EOF
+
+EXTRALIBS=
+SUFFIX=
+DEVSUFFIX=
+TRANSITIONSUFFIX=
+
+DOIT=no
+DEVUNVERSIONED=no
+IGNORELIBDEP=no
+INCLUDEA=yes
+INCLUDELA=yes
+MULTIARCH=no
+while [ -n "$1" ]; do
+ case $1 in
+ --moveshl)
+ echo "$2 $3" >> "${INSTALLFILE_SHLPKG}"
+ shift; shift; shift;
+ ;;
+ --movedev)
+ echo "$2 $3" >> "${INSTALLFILE_DEVPKG}"
+ shift; shift; shift;
+ ;;
+ --movedevdoc)
+ echo "$2 usr/share/doc/\${PKGDEV}" >> "${INSTALLFILE_DEVPKG}"
+ shift; shift;
+ ;;
+ --commit)
+ DOIT=yes
+ shift;
+ ;;
+ --multiarch)
+ MULTIARCH=yes
+ shift;
+ ;;
+ --extralib)
+ EXTRALIBS="${EXTRALIBS} $2"
+ shift; shift;
+ ;;
+ --shlibs-local)
+ shift;
+ SHLIBSLOCALVER="$1";
+ shift;
+ ;;
+ --suffix)
+ shift;
+ SUFFIX="$1";
+ shift;
+ ;;
+ --devsuffix)
+ shift;
+ DEVSUFFIX="$1";
+ shift;
+ ;;
+ --devunversioned)
+ DEVUNVERSIONED=yes
+ shift;;
+ --ignorelibdep)
+ IGNORELIBDEP=yes
+ shift;;
+ --c102)
+ TRANSITIONSUFFIX="c102"
+ shift;;
+ --ldbl)
+ TRANSITIONSUFFIX="ldbl"
+ shift;;
+ --include-a)
+ INCLUDEA=yes
+ shift;;
+ --exclude-a)
+ INCLUDEA=no
+ shift;;
+ --include-la)
+ INCLUDELA=yes
+ shift;;
+ --exclude-la)
+ INCLUDELA=no
+ shift;;
+ --override)
+ OVERRIDE[${#OVERRIDE[@]}]="$2"
+ shift; shift;;
+ --|*)
+ break;
+ ;;
+ esac
+done
+
+# path/libxxxx.so.yyy.zz.zz
+# ------------------------- REALSO (actual .so filename that is linked to)
+# -------------- SONAME
+# ------- --- SONAMEPKGNAME (lowercased for package name)
+# --------------- $1
+# ---------- PK
+# ---------- PK_LOWER (lowercased for package name)
+
+DEVLIB_TO_CHECK=
+for extralib in $EXTRALIBS; do
+ readlibnameinfo "$extralib"
+ DEVLIB_TO_CHECK="${DEVLIB_TO_CHECK} $extralib"
+ if [ "${INCLUDEA}" = "yes" ]; then
+ echo "$(dirname $extralib)/${PK}.a usr/lib" >> "${INSTALLFILE_DEVPKG}"
+ fi
+ if [ "${INCLUDELA}" = "yes" ]; then
+ echo "$(dirname $extralib)/${PK}.la usr/lib || true" >> "${INSTALLFILE_DEVPKG}"
+ fi
+ echo "$(dirname $extralib)/${PK}.so usr/lib" >> "${INSTALLFILE_DEVPKG}"
+ echo "$(dirname ${REALSO})/${SONAME} usr/lib" >> "${INSTALLFILE_SHLPKG}"
+ echo "${REALSO} usr/lib" >> "${INSTALLFILE_SHLPKG}"
+done
+
+DEVLIB_TO_CHECK="${DEVLIB_TO_CHECK} $1"
+readlibnameinfo "$1"
+if [ "${DEVUNVERSIONED}" = "yes" ]; then
+ PKGDEV="${PK_LOWER}${DEVSUFFIX}-dev"
+else
+ PKGDEV="${SONAMEPKGNAME}${DEVSUFFIX}-dev"
+fi
+PKGSHL="${SONAMEPKGNAME}${SUFFIX}${TRANSITIONSUFFIX}"
+
+INSTALLDIR="install -d -m 755 "
+echo "${INSTALLDIR} debian/${PKGDEV}/usr/lib" >> "$execscript"
+echo "${INSTALLDIR} debian/${PKGSHL}/usr/lib" >> "$execscript"
+if [ "${INCLUDEA}" = "yes" ]; then
+ echo "mv $(dirname $1)/${PK}.a debian/${PKGDEV}/usr/lib" >> "$execscript"
+fi
+if [ "${INCLUDELA}" = "yes" ]; then
+ echo "mv $(dirname $1)/${PK}.la debian/${PKGDEV}/usr/lib || true" >> "$execscript"
+fi
+echo "mv $(dirname $1)/${PK}.so debian/${PKGDEV}/usr/lib" >> "$execscript"
+echo "mv $(dirname ${REALSO})/${SONAME} debian/${PKGSHL}/usr/lib" >> "$execscript"
+echo "mv ${REALSO} debian/${PKGSHL}/usr/lib" >> "$execscript"
+
+if [ -n "${SHLIBSLOCALVER}" ]; then
+ echo "echo \"${SONAMELIBNAME} ${SONAMEVERSION} ${PKGSHL} (>= ${SHLIBSLOCALVER})\" >> debian/shlibs.local" >> "$execscript"
+fi
+
+debian/d-devlibdeps "${OVERRIDE[@]/#/--override=}" debian/"${PKGDEV}".substvars "${DEVLIB_TO_CHECK}"
+
+#do some definition for the file.
+echo "PKGDEV=${PKGDEV}" >> "${execscript}"
+echo "PKGSHL=${PKGSHL}" >> "${execscript}"
+
+#do the extra files
+cat "${INSTALLFILE_SHLPKG}" | while read A B; do
+ echo "${INSTALLDIR} debian/${PKGSHL}/${B}" >> "${execscript}"
+ echo "mv ${A} debian/${PKGSHL}/${B}" >> "${execscript}"
+done
+if [ "${INCLUDELA}" = "no" ]; then
+ sed -i -e "/^.*\.la usr\/lib || true$/d" "${INSTALLFILE_DEVPKG}"
+fi
+cat "${INSTALLFILE_DEVPKG}" | while read A B; do
+ echo "${INSTALLDIR} debian/${PKGDEV}/${B}" >> "${execscript}"
+ echo "mv ${A} debian/${PKGDEV}/${B}" >> "${execscript}"
+done
+
+if [ "${MULTIARCH}" = "yes" ]; then
+ sed -i -e "s/usr\/lib\( || true\)\?$/usr\/lib\/$(dpkg-architecture -qDEB_HOST_MULTIARCH)\1/" "${execscript}"
+fi
+
+cat "${execscript}"
+
+# check the syntax of the control file.
+CHECK_ERROR=false
+
+if ! [ "${DEVUNVERSIONED}" = "yes" ]; then
+ check_line "${PKGDEV}" "Provides:.*${PK_LOWER}-dev"
+ check_line "${PKGDEV}" "Conflicts:.*${PK_LOWER}-dev"
+fi
+check_line "${PKGSHL}" "Section: libs"
+if [ -n "${SUFFIX}" ]; then
+ check_line "${PKGSHL}" "Conflicts: ${SONAMEPKGNAME}"
+fi
+if [ -n "${TRANSITIONSUFFIX}" ]; then
+ check_line "${PKGSHL}" "Conflicts: ${SONAMEPKGNAME}${SUFFIX}"
+fi
+check_line "${PKGDEV}" "Section: \(devel\|libdevel\)"
+if ! [ "${IGNORELIBDEP}" = "yes" ]; then
+ check_line "${PKGDEV}" "Depends:.*${PKGSHL}"
+fi
+check_line "${PKGSHL}" "Depends:.*[$]{shlibs:Depends}"
+
+if [ "${CHECK_ERROR}" = "true" ]; then
+ echo "Error occurred, aborting" >&2
+ exit 1
+fi
+
+if [ "${DOIT}" = "yes" ]; then
+ sh "${execscript}"
+else
+ echo "Dry-run. If you are satisfied, run with --commit"
+ exit 2
+fi
+rm -f "${execscript}" "${INSTALLFILE_DEVPKG}"" ${INSTALLFILE_SHLPKG}"
+
+exit 0
Property changes on: trunk/packages/quazip/trunk/debian/d-shlibmove
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/packages/quazip/trunk/debian/libquazip-doc.doc
===================================================================
--- trunk/packages/quazip/trunk/debian/libquazip-doc.doc (rev 0)
+++ trunk/packages/quazip/trunk/debian/libquazip-doc.doc 2012-06-01 16:19:21 UTC (rev 11162)
@@ -0,0 +1 @@
+doc/html
Modified: trunk/packages/quazip/trunk/debian/rules
===================================================================
--- trunk/packages/quazip/trunk/debian/rules 2012-06-01 15:07:23 UTC (rev 11161)
+++ trunk/packages/quazip/trunk/debian/rules 2012-06-01 16:19:21 UTC (rev 11162)
@@ -9,11 +9,13 @@
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
+name := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+
%:
dh $@
override_dh_auto_configure:
- qmake quazip/quazip.pro PREFIX=$(CURDIR)/debian/tmp/usr/lib/ LIBS+=-lz VERSION=$(VERSION)
+ qmake quazip/quazip.pro PREFIX=debian/tmp/usr/lib/ LIBS+=-lz VERSION=$(VERSION)
# Clean build path
override_dh_auto_clean:
@@ -22,16 +24,24 @@
dh_auto_clean
find . -name Makefile -delete
-# Make the lib
override_dh_auto_build:
- make
+ dh_auto_build
+ $(MAKE) lib$(name).a
-# Install all projects
override_dh_auto_install:
- make install
+ # dh_auto_install # moves files into wrong dir
+ # FIXME: This hack should be replaced by a proper call of install target / proper call of qmake
+ mkdir -p debian/tmp/usr/include
+ cp -a $(name)/*.h debian/tmp/usr/include
+ mkdir -p debian/tmp/usr/lib
+ cp -a lib$(name).so* lib$(name).a debian/tmp/usr/lib
+ # Call d-shlibmove to comply with library packaging guide
+ debian/d-devlibdeps debian/$(pkg)0-dev.substvars \
+ lib$(name).so
+ debian/d-shlibmove --commit \
+ --movedev debian/tmp/usr/include usr/ \
+ debian/tmp/usr/lib/lib$(name).so
+ # lib$(name).a
-override_dh_install:
- dh_install
-
#override_dh_shlibdeps:
# LD_LIBRARY_PATH=debian/tmp/usr/lib/freemedforms dh_shlibdeps -l/usr/lib/freemedforms
More information about the debian-med-commit
mailing list